[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH] spec: add vz daemon related packages to libvirt.spec.in



On 14.04.2016 19:48, Maxim Nestratov wrote:
> ---
>  libvirt.spec.in | 50 ++++++++++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 50 insertions(+)
> 
> diff --git a/libvirt.spec.in b/libvirt.spec.in
> index 8036fa3..cddf447 100644
> --- a/libvirt.spec.in
> +++ b/libvirt.spec.in
> @@ -54,6 +54,7 @@
>  %define with_uml           0%{!?_without_uml:%{server_drivers}}
>  %define with_libxl         0%{!?_without_libxl:%{server_drivers}}
>  %define with_vbox          0%{!?_without_vbox:%{server_drivers}}
> +%define with_vz            0%{!?_without_vz:%{server_drivers}}
>  
>  %define with_qemu_tcg      %{with_qemu}
>  
> @@ -423,6 +424,9 @@ Requires: libvirt-daemon-driver-vbox = %{version}-%{release}
>          %if %{with_nwfilter}
>  Requires: libvirt-daemon-driver-nwfilter = %{version}-%{release}
>          %endif
> +        %if %{with_vz}
> +Requires: libvirt-daemon-driver-vz = %{version}-%{release}
> +        %endif
>  
>  	%if %{with_interface}
>  Requires: libvirt-daemon-driver-interface = %{version}-%{release}
> @@ -988,6 +992,19 @@ VirtualBox
>          %endif
>  
>  
> +        %if %{with_vz}
> +%package daemon-driver-vz
> +Summary: Virtuozzo driver plugin for the libvirtd daemon
> +Group: Development/Libraries
> +Requires: libvirt-daemon = %{version}-%{release}
> +
> +%description daemon-driver-vz
> +The vz driver plugin for the libvirtd daemon, providing
> +an implementation of the hypervisor driver APIs using
> +Virtuozzo
> +        %endif
> +
> +
>          %if %{with_libxl}
>  %package daemon-driver-libxl
>  Summary: Libxl driver plugin for the libvirtd daemon
> @@ -1141,6 +1158,27 @@ Requires: libvirt-daemon-driver-storage = %{version}-%{release}
>  Server side daemon and driver required to manage the virtualization
>  capabilities of VirtualBox
>      %endif
> +
> +    %if %{with_vz}
> +%package daemon-vz
> +Summary: Server side daemon & driver required to run Virtuozzo guests
> +Group: Development/Libraries
> +
> +Requires: libvirt-daemon = %{version}-%{release}
> +        %if %{with_driver_modules}
> +Requires: libvirt-daemon-driver-vz = %{version}-%{release}
> +Requires: libvirt-daemon-driver-interface = %{version}-%{release}
> +Requires: libvirt-daemon-driver-network = %{version}-%{release}
> +Requires: libvirt-daemon-driver-nodedev = %{version}-%{release}
> +Requires: libvirt-daemon-driver-nwfilter = %{version}-%{release}
> +Requires: libvirt-daemon-driver-secret = %{version}-%{release}
> +Requires: libvirt-daemon-driver-storage = %{version}-%{release}
> +        %endif
> +%description daemon-vz
> +Server side daemon and driver required to manage the virtualization
> +capabilities of Virtuozzo
> +    %endif
> +
>  %endif # %{with_libvirtd}
>  
>  %package client
> @@ -2228,6 +2266,13 @@ exit 0
>  %defattr(-, root, root)
>  %{_libdir}/%{name}/connection-driver/libvirt_driver_vbox.so
>          %endif
> +
> +        %if %{with_vz}
> +%files daemon-driver-vz
> +%defattr(-, root, root)
> +%{_libdir}/%{name}/connection-driver/libvirt_driver_vz.so
> +        %endif
> +
>      %endif # %{with_driver_modules}
>  
>      %if %{with_qemu_tcg}
> @@ -2259,6 +2304,11 @@ exit 0
>  %files daemon-vbox
>  %defattr(-, root, root)
>      %endif
> +
> +    %if %{with_vz}
> +%files daemon-vz
> +%defattr(-, root, root)
> +    %endif
>  %endif # %{with_libvirtd}
>  
>  %if %{with_sanlock}
> 

I like this, I really do. But what am I missing here is BuildRequires:
parallels-dev or something like that. But I fear there is no parallels
package for Fedora yet, is there? Because, if somebody has not installed
parallels-sdk into their system prior trying to build this RPM, it will
fail as the libvirt_driver_vz.so will be not built.

Michal


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]